Updating Jitsi Meet

Trying to update Jitsi meet to the latest version since screen share plugin is broken on my current release.

What is the process of updating jitis-meet and will it overwrite any of my configuration files?

I’ve tried doing the following on my ubuntu 16.04.5 machine
apt-get update
apt-get install jitsi-meet

after doing so it still thinks that the install version is the latest release. Please advice

This is what I get when I try to update:
Reading package lists… Done
Building dependency tree
Reading state information… Done
jitsi-meet is already the newest version (1.0.3383-1).
0 upgraded, 0 newly installed, 0 to remove and 43 not upgraded.

The latest code available is on the unstable branch.

The package you have installed is already the latest available on that repository.

Cheers!

Do we know when the fix is going to be published as a stable release? The plug in is broken and don’t want to have an unstable version in our production environment.

Is there a work around or would I have to check out the repo and make the necessary changes myself and then build the source?

Any feedback would be great.
Also, what would be the process when upgrading if I build the jitsi-meet myself ?